/**
 *
 * WapiResponse.java
 *
 * Copyright 2012 Infoblox Inc. All rights reserved.
 *             
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 *     1. Redistributions of source code must retain the above copyright notice,
 *     this list of conditions and the following disclaimer.
 *     2. Redistributions in binary form must reproduce the above copyright 
 *     notice, this list of conditions and the following disclaimer in the
 *     documentation and/or other materials provided with the distribution.
 * 
 * THIS SOFTWARE IS PROVIDED BY INFOBLOX AND CONTRIBUTORS ``AS IS'' AND ANY
 * EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 * WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED. IN NO EVENT SHALL INFOBLOX OR CONTRIBUTORS BE LIABLE FOR ANY
 * DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
 * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
 * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 * SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 * 
 * The views and conclusions contained in the software and documentation are
 * those of the authors and should not be interpreted as representing official
 * policies, either expressed or implied, of Infoblox.
 *
 */
package com.infoblox.wapi.common;

/**
 * WapiResponse class with the result of request.
 */
public class WapiResponse {

    /** HTTP status code */
    private int code;

    /** HTTP status message */
    private String statusMessage;

    /** Response body */
    private String responseText;

    /**
     * @param newCode
     * @param message
     * @param response
     */
    public WapiResponse(int newCode, String message, String response) {
        setCode(newCode);
        setStatusMessage(message);
        setResponseText(response);
    }

    /**
     * Set the code.
     * 
     * @param newCode
     *            int
     */
    public void setCode(int newCode) {
        this.code = newCode;
    }

    /**
     * Get the code.
     * 
     * @return int
     */
    public int getCode() {
        return code;
    }

    /**
     * Set the statusMessage.
     * 
     * @param newStatusMessage
     *            String
     */
    public void setStatusMessage(String newStatusMessage) {
        this.statusMessage = newStatusMessage;
    }

    /**
     * Get the statusMessage.
     * 
     * @return String
     */
    public String getStatusMessage() {
        return statusMessage;
    }

    /**
     * Set the responseText.
     * 
     * @param newResponseText
     *            String
     */
    public void setResponseText(String newResponseText) {
        this.responseText = newResponseText;
    }

    /**
     * Get the responseText.
     * 
     * @return String
     */
    public String getResponseText() {
        return responseText;
    }

}
